package com.dsk.cscec.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.DSubcontract;
import com.dsk.cscec.domain.vo.DCustomerListVo;

import java.util.Map;

/**
 * 分包分供合同(DSubcontract)表数据库访问层
 *
 * @author lcl
 * @since 2023-12-11 15:31:44
 */
public interface DSubcontractMapper extends BaseMapper<DSubcontract> {

    Integer selectEnterpriseCountByCustomerId(String customerId);

    Integer selectProjectCountByCustomerId(String customerId);

    DCustomerListVo selectStatisticByCustomerId(String customerId);

}

